Bug 997592 - Remmina - Don't permit selection of share folder
Remmina - Don't permit selection of share folder
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
19
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 13:27 EDT by Wolnei Junior
Modified: 2014-08-18 04:26 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-18 04:26:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wolnei Junior 2013-08-15 13:27:31 EDT
Description of problem:

Remmina - Don't permit selection of share folder on KDE Desktop Environment

Version-Release number of selected component (if applicable):
remmina-1.0.0-7.fc19.i686
remmina-plugins-vnc-1.0.0-7.fc19.i686

How reproducible:


Steps to Reproduce:
1. Start remmina
2. Edit a saved remote desktop connection
3. Try select a folder in: Share folder

Actual results:

GLib-GIO-Message: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.

(remmina:12355): Gtk-CRITICAL **: gtk_tree_model_filter_get_value: assertion `GTK_TREE_MODEL_FILTER (model)->priv->stamp == iter->stamp' failed

(remmina:12355): GLib-GObject-WARNING **: gtype.c:4239: type id `0' is invalid

(remmina:12355): GLib-GObject-WARNING **: can't peek value table for type `<invalid>' which is not currently referenced
Segmentation fault

Expected results:

Don't crash on selected the folder.
Comment 1 Christoph Wickert 2014-05-22 07:35:10 EDT
Assigning bug to new package maintainer.
Comment 2 Pavel Alexeev 2014-08-18 04:26:30 EDT
Thank very much bug report and willing make free software better.

As I already use remmina in my day job I really try fix known issues and make it up to date. Unfortunately it is big project which is poorly maintained upstream for long time. In prepare new release of freerdp and remmina we hope it may be changed now. Remmina still have many opened issues some of opened for years. Meantime some of major have trend to resolve (for example not official path to solve clipboard issue https://github.com/FreeRDP/Remmina/issues/280#issuecomment-51663311 already in rawhide).

So have such problems unfortunately became near impossible maintain such fixes in stable Fedora versions.
With help of Simone Caronni we have new version 1.0.0 from git master branch which promise some enhancements as well and based on freerdp 1.1.0 released recently. I can suggest for everyone to try that.

Please reopen if you problem still reproduced on that version.

Note You need to log in before you can comment on or make changes to this bug.